Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604331 - Review Request: redshift - Adjusts the color temperature of your screen according to time of day
Review Request: redshift - Adjusts the color temperature of your screen accor...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 16:43 EDT by Miloš Komarčević
Modified: 2010-12-07 16:20 EST (History)
8 users (show)

See Also:
Fixed In Version: redshift-1.5-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-08 21:11:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Miloš Komarčević 2010-06-15 16:43:30 EDT
Spec URL: http://kmilos.fedorapeople.org/redshift.spec
SRPM URL: http://kmilos.fedorapeople.org/redshift-1.3-1.fc13.src.rpm

Description:
Redshift adjusts the color temperature of your screen according to your
surroundings. This may help your eyes hurt less if you are working in
front of the screen at night.

The color temperature is set according to the position of the sun. A
different color temperature is set during night and daytime. During
twilight and early morning, the color temperature transitions smoothly
from night to daytime temperature to allow your eyes to slowly
adapt.

This produces both a console base program package and GTK status icon integration package.

This is my first Fedora package, so I will need a sponsor.
Comment 1 Miloš Komarčević 2010-06-16 20:12:27 EDT
Spec URL: http://kmilos.fedorapeople.org/redshift.spec
SRPM URL: http://kmilos.fedorapeople.org/redshift-1.4.1-1.fc13.src.rpm

Source already updated in the meantime.
Comment 2 Rahul Sundaram 2010-06-21 12:38:18 EDT
Welcome to Fedora.  Please follow the steps outlined at 

http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

In short,  submit more packages for review or do unofficial reviews of packages waiting in the queue like yours.  This will help demonstrate understanding of the packaging guidelines and the ability to maintain packages within Fedora. Thank you.
Comment 3 Mamoru TASAKA 2010-07-12 13:43:13 EDT
Some notes:

* License
  - As far as I checked the whole source code, the license tag should
    be "GPLv3+".

* BuildRoot
  - BuildRoot tag is no longer needed on Fedora:
    https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
    ! Note that on EPEL5 and below BuildRoot tag is still needed.

* Naming of gtk subpackage
  - Normally Fedora names gui related subpackage as "%{name}-gui" or
    "%{name}-gtk", and the former (-gui) is more general if no other
    gui backend (such as qt or so) is provided.

* Python related (Build)Requires
  - Currently your srpm won't build on Fedora 12 because of lacking
    %python_sitelib definition. Please refer to:
    https://fedoraproject.org/wiki/Packaging/Python#Macros

  - Please use "python2" or "python3" for (Build)Requires, c.f.
    https://fedoraproject.org/wiki/Packaging/Python#BuildRequires

* Dependencies between subpackages
  - Usually dependencies between binary rpms rebuilt from the same
    srpm must be EVR(Epoch-Version-Release) specific:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Requiring_Base_Package

* Make build.log more verbose
  - Currently build.log does not show how linkage on the created binary
    is done:
------------------------------------------------------
   183    CCLD   redshift
   184  make[3]: Leaving directory `/builddir/build/BUILD/redshift-1.4.1/src'
   185  make[2]: Leaving directory `/builddir/build/BUILD/redshift-1.4.1/src'
------------------------------------------------------
    Please add "V=1" to "make %{?_smp_mflags}".

* Timestamp
  - Please consider to use
------------------------------------------------------
make DESTDIR=%{buildroot} install INSTALL="install -p"
------------------------------------------------------
    to keep timestamps on the installed files as much as possible.
    This method usually works for Makefiles generated by recent
    autotools.

* Desktop file
  - When gui program is installed, the corresponding desktop file must be
    properly installed:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
Comment 4 Mamoru TASAKA 2010-07-22 12:50:35 EDT
ping?
Comment 5 Miloš Komarčević 2010-07-26 17:31:13 EDT
Thanks a lot for the feedback Mamoru, and sorry for the brief absence.

(In reply to comment #3)
> * License
>   - As far as I checked the whole source code, the license tag should
>     be "GPLv3+".

Done

> * BuildRoot
>   - BuildRoot tag is no longer needed on Fedora:
>     https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
>     ! Note that on EPEL5 and below BuildRoot tag is still needed.

Will leave it in then in case this ever makes it into EPEL5

> * Naming of gtk subpackage
>   - Normally Fedora names gui related subpackage as "%{name}-gui" or
>     "%{name}-gtk", and the former (-gui) is more general if no other
>     gui backend (such as qt or so) is provided.

I thought about this already and, unless this is a hard requirement, decided it was better to have it the same as the name of the binary to avoid confusion.

> * Python related (Build)Requires
>   - Currently your srpm won't build on Fedora 12 because of lacking
>     %python_sitelib definition. Please refer to:
>     https://fedoraproject.org/wiki/Packaging/Python#Macros

Done

>   - Please use "python2" or "python3" for (Build)Requires, c.f.
>     https://fedoraproject.org/wiki/Packaging/Python#BuildRequires

Done

> * Dependencies between subpackages
>   - Usually dependencies between binary rpms rebuilt from the same
>     srpm must be EVR(Epoch-Version-Release) specific:
>     https://fedoraproject.org/wiki/Packaging/Guidelines#Requiring_Base_Package

Done

> * Make build.log more verbose
>   - Currently build.log does not show how linkage on the created binary
>     is done:
> ------------------------------------------------------
>    183    CCLD   redshift
>    184  make[3]: Leaving directory `/builddir/build/BUILD/redshift-1.4.1/src'
>    185  make[2]: Leaving directory `/builddir/build/BUILD/redshift-1.4.1/src'
> ------------------------------------------------------
>     Please add "V=1" to "make %{?_smp_mflags}".

Done

> * Timestamp
>   - Please consider to use
> ------------------------------------------------------
> make DESTDIR=%{buildroot} install INSTALL="install -p"
> ------------------------------------------------------
>     to keep timestamps on the installed files as much as possible.
>     This method usually works for Makefiles generated by recent
>     autotools.

Done

> * Desktop file
>   - When gui program is installed, the corresponding desktop file must be
>     properly installed:
>     https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files    

gtk-redshift is not an app, but a widget, so there should be no need for a desktop file


http://kmilos.fedorapeople.org/redshift.spec
http://kmilos.fedorapeople.org/redshift-1.4.1-2.fc13.src.rpm
Comment 6 Mamoru TASAKA 2010-07-29 11:32:54 EDT
Okay.

For -2:

* rpmlint issue
---------------------------------------------------
gtk-redshift.i686: E: non-executable-script /usr/lib/python2.7/site-packages/gtk_redshift/statusicon.py 0644L /usr/bin/env
gtk-redshift.i686: E: non-executable-script /usr/lib/python2.7/site-packages/gtk_redshift/defs.py 0644L /usr/bin/env
gtk-redshift.i686: E: non-executable-script /usr/lib/python2.7/site-packages/gtk_redshift/__init__.py 0644L /usr/bin/env
---------------------------------------------------
  - These scripts need not have shebangs so please remove
    them.
Comment 7 Mamoru TASAKA 2010-07-29 11:35:05 EDT
(Sorry if the following messages are the re-post)

Now:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few (or no) work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 8 Miloš Komarčević 2010-07-31 10:49:41 EDT
Thanks, shebangs reported upstream:

https://bugs.launchpad.net/redshift/+bug/611424

Will probably wait for 1.5 (around the corner supposedly) instead of patching right now.

In the meantime, I'll try to get an unofficial pre-review under my belt.
Comment 9 Mamoru TASAKA 2010-08-13 13:19:57 EDT
ping?
Comment 10 Miloš Komarčević 2010-08-26 16:14:34 EDT
Updated to 1.5, now also including a desktop file.

http://kmilos.fedorapeople.org/redshift.spec
http://kmilos.fedorapeople.org/redshift-1.5-1.fc13.src.rpm

Sorry for still owing you an informal review of another package, time is scarce :(
Comment 11 Mamoru TASAKA 2010-08-27 14:14:58 EDT
Okay, this package itself is good. Now waiting for pre-review.
Comment 12 Ankur Sinha (FranciscoD) 2010-08-27 14:41:46 EDT
(In reply to comment #10)
> Updated to 1.5, now also including a desktop file.
> 
> http://kmilos.fedorapeople.org/redshift.spec
> http://kmilos.fedorapeople.org/redshift-1.5-1.fc13.src.rpm
> 
> Sorry for still owing you an informal review of another package, time is scarce
> :(

Here's a convenient list that you can look at:

http://fedoraproject.org/PackageReviewStatus/
Comment 13 Miloš Komarčević 2010-08-29 09:02:25 EDT
Left some informal feedback in bug 598315, left the actual review checklist for after these issues are fixed.
Comment 14 Mamoru TASAKA 2010-08-29 15:28:14 EDT
Well, the URL of the srpm on bug 598315 returned 404, so I downloaded
Source0 by myself and your initial comments seem good.

---------------------------------------------------------
    This package (redshift) is APPROVED by mtasaka
---------------------------------------------------------

I am going to sponsor you. However as far as I checked your FAS
account, the mail address you use on FAS and the one you are using
on this bugzilla differ, which must coincide. Please change the mail
address on your FAS, or create another account on bugzilla with the
same mail address on your FAS.
Comment 15 Miloš Komarčević 2010-09-02 14:34:37 EDT
Thanks Mamoru. Turns out one can also change the address in Bugzilla.
Comment 16 Mamoru TASAKA 2010-09-02 15:12:37 EDT
Okay.

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji)".

Now I am sponsoring you.

If you want to import this package into Fedora 12/13/14, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

When using Fedora SCM system, please check below for reference:
http://fedoraproject.org/wiki/Using_Fedora_GIT

If you have questions, please ask me.

Removing NEEDSPONSOR.
Comment 17 Miloš Komarčević 2010-09-04 07:46:31 EDT
New Package SCM Request
=======================
Package Name: redshift
Short Description: Adjusts the color temperature of your screen according to time of day
Owners: kmilos
Branches: f12 f13 f14 el6
InitialCC: kmilos
Comment 18 Kevin Fenzi 2010-09-05 13:42:43 EDT
Git done (by process-git-requests).
Comment 19 Mamoru TASAKA 2010-09-06 11:07:47 EDT
Please rebuild this package also for F-14/13/12/EL6 and submit
push requests on bodhi.
Comment 20 Miloš Komarčević 2010-09-06 11:54:01 EDT
Thank you Mamoru and Kevin for getting this into Fedora packages SCM.

Is there a way to replicate the master branch to other branches easily, or do I need to again do "fedpkg import ..." followed by "fedpkg commit ..." for every branch individually? (The wiki is a bit unclear on how to proceed after getting a rawhide package in.)
Comment 21 Mamoru TASAKA 2010-09-06 12:45:31 EDT
(In reply to comment #20)
> Is there a way to replicate the master branch to other branches easily, 

Well, now Fedora uses git for SCM and git has some command to do so,
however I am not familiar with git options, so currently I use
"fedpkg foo" for each branch...
Comment 22 Thomas Spura 2010-09-06 13:08:27 EDT
(In reply to comment #20)
> Is there a way to replicate the master branch to other branches easily, or do I
> need to again do "fedpkg import ..." followed by "fedpkg commit ..." for every
> branch individually?

= Initial commit =
Usually, I do "fedpkg new-source ..." and "git add *.patch *.spec" in the master branch and commit that with "fedpkg commit -p".

= cherry-picking to other branches =
After that I switch to another branch and do "git cherry-pick master". Because there is only one commit in the master branch at that time, it will get this only commit to the branch.
To commit that, I do "fedpkg push" in each branch and build & update.

Hope, that makes sense.
Comment 23 Fedora Update System 2010-09-06 15:56:36 EDT
redshift-1.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/redshift-1.5-1.fc14
Comment 24 Fedora Update System 2010-09-06 15:58:36 EDT
redshift-1.5-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/redshift-1.5-1.fc13
Comment 25 Fedora Update System 2010-09-06 16:01:41 EDT
redshift-1.5-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/redshift-1.5-1.fc12
Comment 26 Miloš Komarčević 2010-09-06 16:14:27 EDT
Ok, kinda figured out how to do a merge from the "Using Fedora GIT" wiki page, thanks.

Builds done and updates submitted (apart from EPEL6, Bodhi doesn't seem to be accepting those yet?)
Comment 27 Fedora Update System 2010-09-07 02:45:26 EDT
redshift-1.5-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update redshift'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/redshift-1.5-1.fc14
Comment 28 Fedora Update System 2010-09-08 21:11:37 EDT
redshift-1.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2010-09-15 03:05:16 EDT
redshift-1.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2010-09-15 18:26:22 EDT
redshift-1.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Miloš Komarčević 2010-11-23 16:50:56 EST
Package Change Request
======================
Package Name: redshift
New Branches: f15
Owners: kmilos
Comment 32 Jason Tibbitts 2010-11-23 19:01:51 EST
It is too early to requrest f15 branches.
Comment 33 Alexander Hunt 2010-12-07 01:40:39 EST
redshift-1.5-1.fc14 - (on x86_64 platform) Accessories/Redshift command menu property has to use "sudo gtk-redshift" in order for it to work from the menu, or sudo redshift to work from terminal; without sudo it does not find the clock applet, and not being able to find another provider, errors out.
Comment 34 Mamoru TASAKA 2010-12-07 02:31:01 EST
Alexander, please file a bug report against redshift and not
write such comment here (on review request) any longer.
This review request finished about 3 months before.
Comment 35 Alexander Hunt 2010-12-07 16:20:59 EST
As per:

Comment 29 Fedora Update System 2010-09-15 03:05:16 EDT

redshift-1.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If
problems still persist, please make note of it in this bug report.

Mamoru, do you think regular users know how bugzilla works in it's entirety? No, we don't; we rely on what is said in the comments to know what to do. Take out comments 28, 29 and 30, and put in one telling users to file new bug reports if that is what is expected, or lock it against changes by regular users, and don't be mean to people.
I will file a new bug report now.
Have a Happy Holidays

Note You need to log in before you can comment on or make changes to this bug.